Skip to navigation

GetAccountSettings

View as Markdown

This method requests the settings for an account.

Schema

NameSchema TypeDescription
AccountIdStringThe account ID for the account being checked.

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/GetAccountSettings"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<GetAccountSettings xmlns="http://www.docusign.net/API/AccountManagement">
<AccountId>string</AccountId>
</GetAccountSettings>
</soap:Body>
</soap:Envelope>

The response contains the AccountSettings information and either a success or failure. If the call fails an error code is provided.

See the AccountSettings section for more information about AccountSettings.

Sample Response XML

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<GetAccountSettingsResponse xmlns="http://www.docusign.net/API/AccountManagement">
<GetAccountSettingsResult>
<AccountSettings>
<UsesAPI>boolean</UsesAPI>
<EnableDSPro>boolean</EnableDSPro>
<EnableSendToManage>boolean</EnableSendToManage>
<EnableSendToAgent>boolean</EnableSendToAgent>
<EnableVaulting>boolean</EnableVaulting>
<EnableEnvelopeStampingByAccountAdmin>boolean</EnableEnvelopeStampingByAccountAdmin>
<EnvelopeStampingDefaultValue>boolean</EnvelopeStampingDefaultValue>
<SignerMustHaveAccount>boolean</SignerMustHaveAccount>
<SignerMustLoginToSign>boolean</SignerMustLoginToSign>
<SignerCanCreateAccount>boolean</SignerCanCreateAccount>
<AllowInPerson>boolean</AllowInPerson>
<EnablePowerForm>boolean</EnablePowerForm>
<AllowSignerReassign>boolean</AllowSignerReassign>
<EnableReservedDomain>boolean</EnableReservedDomain>
<EnableSequentialSigningAPI>boolean</EnableSequentialSigningAPI>
<EnableSequentialSigningUI>boolean</EnableSequentialSigningUI>
<EnableAutoNav>boolean</EnableAutoNav>
<AutoNavRule>bytes</AutoNavRule>
<EnableTransactionPoint>boolean</EnableTransactionPoint>
<EnvelopeIntegrationAllowed>bytes</EnvelopeIntegrationAllowed>
<EnvelopeIntegrationEnabled>boolean</EnvelopeIntegrationEnabled>
<CanSelfBrandSend>boolean</CanSelfBrandSend>
<CanSelfBrandSign>boolean</CanSelfBrandSign>
<IDCheckRequired>bytes</IDCheckRequired>
<IDCheckExpire>bytes</IDCheckExpire>
<IDCheckExpireDays>integer</IDCheckExpireDays>
<SignDateFormat>string</SignDateFormat>
<PKISignDownloadedPDFDocs>bytes</PKISignDownloadedPDFDocs>
<InPersonIDCheckQuestion>string</InPersonIDCheckQuestion>
<SessionTimeout>integer</SessionTimeout>
<AttachCompletedEnvelope>boolean</AttachCompletedEnvelope>
<SignerCanSignOnMobile>boolean</SignerCanSignOnMobile>
<SignerShowSecureFieldInitialValues>boolean</SignerShowSecureFieldInitialValues>
<SignerAttachCertificateToEnvelopePDF>boolean</SignerAttachCertificateToEnvelopePDF>
<EnableSignOnPaper>boolean</EnableSignOnPaper>
<EnableSignOnPaperOverride>boolean</EnableSignOnPaperOverride>
<EnableSignerAttachments>boolean</EnableSignerAttachments>
<UseAccountLevelEmail>boolean</UseAccountLevelEmail>
</AccountSettings>
<Success>boolean</Success>
<Error>
<ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode>
<Description>string</Description>
</Error>
</GetAccountSettingsResult>
</GetAccountSettingsResponse>
</soap:Body>
</soap:Envelope>